package com.sv.netty.netty;


import com.sv.entity.Device;

import java.io.Serializable;

/**
 * Created by peakren on 19/01/2018.
 */

public class BaseDto implements Serializable {

    private static final long serialVersionUID = 3139438146199448677L;

    
    private String cmdId;  //指令

    private String deviceId; //设备ID

    /**
     * 客户端IP
     */
    private String clientIp;

    private String content;

    /**
     * 状态码 0正常 1错误
     */
    
    private int errorCode = 0;

    /**
     * 错误返回信息
     */
    
    private String errorMsg;


    public String getCmdId() {
        return cmdId;
    }

    public void setCmdId(String cmdId) {
        this.cmdId = cmdId;
    }

    public String getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    /**
     * 客户端IP,获取的内网IP
     *
     * @return
     */
    public String getClientIp() {
        return clientIp;
    }

    public void setClientIp(String clientIp) {
        this.clientIp = clientIp;
    }

    public int getErrorCode() {
        return errorCode;
    }

    public void setErrorCode(int errorCode) {
        this.errorCode = errorCode;
    }

    public String getErrorMsg() {
        return errorMsg;
    }

    public void setErrorMsg(String errorMsg) {
        this.errorMsg = errorMsg;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }
}
